SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002381SOGoBackend Generalpublic2013-07-26 16:182014-11-26 13:03
Reportermnombre 
Assigned Toludovic 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.5 
Target Version2.2.11Fixed in Version2.2.11 
Summary0002381: SAML2 : suggestion d'options SOGo
DescriptionSuite à nos tests, nous suggérons ce qui suit :

- faire que le nom de l'attribut SAML à utiliser pour retrouver l'utilisateur SOGo soit un paramètre de la configuration SAML dans SOGo (par exemple SOGoSAML2LoginAttribute) ;

- faire que SOGo vérifie que le domaine DNS (la partie après le '@') dans cet attribut SAML, s'il existe, corresponde au domaine indiquée pour SOGo (dans SOGoMailDomain) ;

- faire que SOGo utilise ensuite le nom d'utilisateur (la partie avant le '@') dans cet attribut SAML pour faire la correspondance avec l'utilisateur SOGo ;

- faire enfin que SOGo utilise le champ IMAPLoginFieldName (venant de l'utilisateur SOGo retrouvé) comme login vers le serveur IMAP.

Le traitement resterait ainsi consistant avec les possibilités de paramétrage existantes.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0005796)
ludovic (administrator)
2013-08-08 10:04

Next time, file your tickets in English or they will be rejected.
User avatar (0007742)
ludovic (administrator)
2014-11-26 13:03

https://github.com/inverse-inc/sogo/commit/913a75f410d8e4409960e59c110f707ffad47371 [^]

- Issue History
Date Modified Username Field Change
2013-07-26 16:18 mnombre New Issue
2013-08-08 10:03 ludovic Target Version => 2.1.0
2013-08-08 10:04 ludovic Note Added: 0005796
2014-06-02 14:37 ludovic Target Version 2.1.0 => 2.2.5
2014-06-16 10:23 ludovic Target Version 2.2.5 => 2.2.6
2014-06-26 10:19 ludovic Target Version 2.2.6 => 2.2.7
2014-09-12 11:16 ludovic Target Version 2.2.7 => 2.2.9
2014-09-26 09:37 ludovic Target Version 2.2.9 => 2.2.10
2014-11-07 15:41 ludovic Target Version 2.2.10 => 2.2.11
2014-11-26 13:03 ludovic Note Added: 0007742
2014-11-26 13:03 ludovic Status new => resolved
2014-11-26 13:03 ludovic Fixed in Version => 2.2.11
2014-11-26 13:03 ludovic Resolution open => fixed
2014-11-26 13:03 ludovic Assigned To => ludovic


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker